Package outdated

Bug #1688056 reported by Tim Ritberg on 2017-05-03
144
This bug affects 26 people
Affects Status Importance Assigned to Milestone
Xfce4 weather plugin
Invalid
Medium
xfce4-weather-plugin (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Sean Davis
Yakkety
Undecided
Unassigned

Bug Description

[Impact]

 * The API that powers xfce4-weather-plugin has changed.
 * As a result, xfce4-weather-plugin 0.8.6 is no longer able to connect and is functionally useless.
 * The latest version, 0.8.9 supports the latest API and works in Xenial.

[Test Case]

 * Right click on the Xfce panel.
 * Go to Panel > Add New Items
 * Add "Weather Update" and configure it.
 * Nothing more happens.
 * Install 0.8.9.
 * Restart the panel (possibly the session)
 * Configure the plugin.
 * Current weather information is retrieved and displayed.

[Regression Potential]

 * The only changes since 0.8.6 are translation updates, compiler warnings, and the new API endpoints.
 * As a result, regression potential is minimal until the API changes again.

[Original Report]

There is a new version because weather datacenter changed api:

https://bugzilla.xfce.org/show_bug.cgi?id=13527

tags: added: upgrade-software-version
Changed in xfce4-weather-plugin:
importance: Unknown → Medium
status: Unknown → Incomplete
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-weather-plugin (Ubuntu):
status: New → Confirmed
Nick (q-nick) wrote :

Please update according to Met.no LocationforecastLTS API...

jibel (jibel-brutele) wrote :

OK but where it's possible to download the new version in deb not in tar.bz2 ? many thanks

Anton Asche (aasche) wrote :

> but where it's possible to download the new version in deb not in tar.bz2
You need version 0.8.9 or newer:

http://packages.ubuntu.com/search?keywords=xfce4-weather-plugin

Hopefully it will be backported to 14.04/16.04 soon.

Tim Ritberg (xpert-reactos) wrote :

There is not any new version at all.

JujuLand (alain-aupeix) wrote :

I tried to install 0.8.7 and then 0.8.9-1 under Xubuntu 16.04, installations were ok, but don't work ...

A+

Tim Ritberg (xpert-reactos) wrote :

0.8.9-1 is an old package, why did you try that=

Changed in xfce4-weather-plugin:
status: Incomplete → Invalid
Serpico (arnaud-abbal) on 2017-05-17
tags: added: trusty
Carles Sentis (heepie202) wrote :

Is there a solution for this?

Running v0.8.6 on XUbuntu 16.04 LTS.

Unit 193 (unit193) on 2017-05-19
Changed in xfce4-weather-plugin (Ubuntu Xenial):
status: New → Confirmed
Changed in xfce4-weather-plugin (Ubuntu):
status: Confirmed → Invalid
tags: added: xenial
ajgreeny (ajg-charlbury) wrote :

I have just downloaded the .deb version of the plugin 0.8.9-1 from https://launchpad.net/ubuntu/+source/xfce4-weather-plugin/0.8.9-0ubuntu1/+build/12025316 and installed it in Xubuntu 16.04 using gdebi and it is working fine, so I assume that it has already been patched with the new api.

Tim Ritberg (xpert-reactos) wrote :

This works.

Sean Davis (bluesabre) on 2017-05-25
description: updated
Sean Davis (bluesabre) wrote :

We've started the SRU process as outlined here: https://wiki.ubuntu.com/StableReleaseUpdates

The updated package has been uploaded and is now waiting for approval to xenial-proposed.

xfce4-weather-plugin 0.8.9-0ubuntu0.16.04.1

Changed in xfce4-weather-plugin (Ubuntu Xenial):
status: Confirmed → In Progress
assignee: nobody → Sean Davis (bluesabre)

Hello Tim, or anyone else affected,

Accepted xfce4-weather-plugin into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfce4-weather-plugin/0.8.9-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xfce4-weather-plugin (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Andy Whitcroft (apw) wrote :

Derp this makes it newer than the version in yakkety. We will want to update it there too I assume anyhow. So could we sort that out.

Sean Davis (bluesabre) on 2017-06-08
Changed in xfce4-weather-plugin (Ubuntu Yakkety):
status: New → In Progress
Andy Whitcroft (apw) wrote :

Hello Tim, or anyone else affected,

Accepted xfce4-weather-plugin into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfce4-weather-plugin/0.8.9-0ubuntu0.16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xfce4-weather-plugin (Ubuntu Yakkety):
status: In Progress → Fix Committed
Toth Zoltan (zoli62) wrote :

Hello Andy,

Thank you for solving this issue. When will be added the 0.8.9 version to Linux Mint 18.1 Romeo (proposed) repository?
Furthermore i can tell good news: in the meantime the 0.8.6 version works as well.

Sonador (vjp) wrote :

Package 0.8.9-0ubuntu0.16.04.1 from xenial-proposed fixed the bug for me (Xubuntu 16.04), thanks.

tags: added: verification-done
removed: verification-needed
Brian Hart (hartb-austin) wrote :

Confirming that 0.8.9-0ubuntu0.16.04.1 works for me on xenial. Thank you!

User Unknown (user-unknown) wrote :

Confirming, as well: 0.8.9-0ubuntu0.16.04.1 from xenial-proposed fixed the issue for me. Thank you, Devs!

ajgreeny (ajg-charlbury) wrote :

The package 0.8.9-0ubuntu0.16.04.1 from xenial-proposed also fixed the bug for me in Xubuntu 16.04.
I had already successfully tried and used the 0.8.9.1_amd64.deb from the zesty 17.04 repos, but so that I can remain with xenial repos I will now be using this version from proposed repos.

Łukasz Zemczak (sil2100) wrote :

Please also verify the yakkety version of the packages. Once that's done, please include the verification-done-yakkety tag to this bug. Thank you!

tags: added: verification-done-xenial
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-weather-plugin - 0.8.9-0ubuntu0.16.04.1

---------------
xfce4-weather-plugin (0.8.9-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport to xenial.
    - Fixes API connectivitity issues (LP: #1688056)

 -- Sean Davis <email address hidden> Wed, 24 May 2017 22:27:28 -0400

Changed in xfce4-weather-plugin (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xfce4-weather-plugin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

Sean Davis (bluesabre) wrote :

Yakkety is EOL as of July 20, 2017.

Changed in xfce4-weather-plugin (Ubuntu Yakkety):
status: Fix Committed → Won't Fix
ajgreeny (ajg-charlbury) wrote :

The 0.8.9-0ubuntu0.16.04.1 version of this plugin has again stopped working properly.
Changes of location are not possible, and no new locations can be found when searching in the Properties dialogue.

I have purged and reinstalled, and cleared everything from ~/.cache/xfce4/weather but it still will not search successfully.

Has there been another change to the API causing this failure?

Joe Giampaoli (joegiampaoli) wrote :

I can confirm as ajgreeny says.

The applet was fixed for the original bug of this report for some time, but now it has the following bug where searching for a location is not working, it searches and return no results.

Thanks.

Kev Bowring (flocculant) wrote :

@ajgreeny joegiampaoli
bug 1718182

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.